#include "MERLIN_FFTW_ST.h"

MERLIN_FFTW_ST* MERLIN_FFTW_ST::__singletonRef = 0;

vector<MERLIN_FFTW_PLAN*> MERLIN_FFTW_ST::__the_plans;

const void MERLIN_FFTW_ST::execute (double *input, int input_size, double *output) const  throw()
{
#ifdef DEBUG_MERLIN_FFTW
    cout<<"Checking for plan "<<input_size<<"...";
#endif
    if(__the_plans.size()==0)
    {
        MERLIN_FFTW_PLAN *new_plan = new  MERLIN_FFTW_PLAN(input_size);
        __the_plans.push_back(new_plan);
        new_plan->execute_plan(input, output);
    }
    else // There are already some plans in the vector
    {
        bool found_plan = false;
        // Loop tho see if we actually have a plan
        for (int i=0; i < __the_plans.size(); i++)
        {
            // check if this is the an appropiatte plan
            if(__the_plans[i]->size() == input_size)
            {
                found_plan = true;
#ifdef DEBUG_MERLIN_FFTW
                cout<<"found it!"<<endl;
#endif
                __the_plans[i]->execute_plan(input, output);
                i= __the_plans.size() +1;
            }
        }
        // Lets see if I did indeed find a plan
        if(!found_plan)
        {
            // No plan was found among the plans, lets make a new one
            // add it to the plans and use it
#ifdef DEBUG_MERLIN_FFTW
            cout<<"not found. Creating a new one!"<<endl;
#endif
            MERLIN_FFTW_PLAN *new_plan = new  MERLIN_FFTW_PLAN(input_size);
            __the_plans.push_back(new_plan);
            new_plan->execute_plan(input, output);
        }
    } 
}
