/* ============================================================================
* Language: C++ 
* File: MERLIN_ModelCorrection.h
* Package Name: Milne Eddington gRid Linear Inversion Network (MERLIN).
* Sub-package: Fundamental Inversion Code (FICO).
*
* Created by Jose Garcia <jgarcia@ucar.edu> on 11/11/05.
*  
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
* 
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
* You can contact University Corporation for Atmospheric Research at
* 3080 Center Green Drive, Boulder, CO 80301

* (c) COPYRIGHT University Corporation for Atmostpheric Research 2004-2006
* Please read the full copyright statement in the file COPYRIGHT_UCAR.
*
=========================================================================== */

#ifndef MERLIN_ModelCorrection_h_
#define MERLIN_ModelCorrection_h_ 1

#include "MERLIN_Model.h"
#include "MERLIN_ParametersLimits.h"

namespace CSAC
{
    ///
    class MERLIN_ModelCorrection
{
public:
    ///
    static void correct_trial_model(MERLIN_Model &trial, const MERLIN_ParametersLimits &limits);
};

} // end namespace CSAC

#endif // MERLIN_ModelCorrection
