!!%%%%%%%%%%%%%%%%%%%%%%%%
!! MODULE VALUES
!!%%%%%%%%%%%%%%%%%%%%%%%%
!! J.M.BORRERO (29.07.04)
!!%%%%%%%%%%%%%%%%%%%%%%%%
MODULE VALUES
PUBLIC

!
    INTEGER,  PARAMETER :: DP = KIND(1.D0) 
    INTEGER,  PARAMETER :: I4B = SELECTED_INT_KIND(9) 
! SOME REAL NUMBERS
    REAL(DP), PARAMETER :: ZERO  = 0.0_DP
    REAL(DP), PARAMETER :: ONE   = 1.0_DP
    REAL(DP), PARAMETER :: TWO   = 2.0_DP
    REAL(DP), PARAMETER :: THREE = 3.0_DP
    REAL(DP), PARAMETER :: FOUR  = 4.0_DP
    REAL(DP), PARAMETER :: FIVE  = 5.0_DP
    REAL(DP), PARAMETER :: TEN   = 10.0_DP
    REAL(DP), PARAMETER :: C12   = 1.0_DP/2.0_DP
    REAL(DP), PARAMETER :: C13   = 1.0_DP/3.0_DP
    REAL(DP), PARAMETER :: C14   = 1.0_DP/4.0_DP
    REAL(DP), PARAMETER :: C23   = 2.0_DP/3.0_DP
    REAL(DP), PARAMETER :: C32   = 3.0_DP/2.0_DP
! OUTPUT FOR TESTING PURPOSES
    INTEGER(I4B), PARAMETER :: TEST = 3
!!  Pi
    REAL(DP), PARAMETER :: PI   =3.141592653589793238462643_DP
!!  Pi/2
    REAL(DP), PARAMETER :: PIO2 =1.570796326794896619231322_DP
!!  2*pi
    REAL(DP), PARAMETER :: TWOPI=6.283185307179586476925286_DP

!!  cm <-> km
    REAL(DP), PARAMETER :: CM2KM=1.0E-05_DP
    REAL(DP), PARAMETER :: KM2CM=1.0E+05_DP
!!  deg <-> rad
    REAL(DP), PARAMETER :: DEG2RAD=PI/180.0_DP
    REAL(DP), PARAMETER :: RAD2DEG=180.0_DP/PI
!!  Speed of light:  c [km/sec]
    REAL(DP), PARAMETER :: CKMS=2.99792458E+5_DP
!!  Speed of light:  c [cm/sec]
    REAL(DP), PARAMETER :: CPHOT=2.99792458E+10_DP
!!  Planck's constant: h [erg*sec]
    REAL(DP), PARAMETER :: HPLANC=6.6260775E-27_DP   
!!  Boltzmann's constant: k in [eV/K] !!!!!!!! 
    REAL(DP), PARAMETER :: BKEV=8.61738569E-05_DP
!!  Boltzmann's constant: k [erg/K]
    REAL(DP), PARAMETER :: BKERG=1.380658E-16_DP
!!  Gas constant in: R [cgs units: erg/mol/K]
    REAL(DP), PARAMETER :: GASCON=8.314510E+07_DP
!!  Solar gravi. acc. (=G*M_sun/R_sun^2): [cm/s^2]
    REAL(DP), PARAMETER :: GRASUN=2.7397E+4_DP      
!!  Solar grav. redshift (=G*M_sun/R_sun/c): [km/s]
    REAL(DP), PARAMETER :: REDSUN=0.636_DP
!!  cm-1 -> eV
    REAL(DP), PARAMETER :: Evolt=1.2398545E-4_DP
!!  Bohr magneton, if field strength is in Gauss and energy is in cm-1
    REAL(DP), PARAMETER :: Bsig =4.6686E-5_DP

END MODULE VALUES
!!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
